import 'package:flight_script/flight_script.dart';

/// Because variables can be read from outer scopes but assignments shadow,
/// functions can be called recursively
const program = """
  
{
    :n
    n n 1 >()
    {
       :n n n 1 -() fib() +()
    }
    if()
  } :fib
  { fib() } 1 5 loop()

""";

void main() {
  final interpreter = Interpreter();
  final results = interpreter.eval(program);
  print(results);
}
