import 'package:flight_script/flight_script.dart';

/// values can be assigned with `:variable_name`, and retrieved with `variable_name`
/// the last returned value will be returned to dart
/// Multiple values can be returned, so the returned result is an array
/// Extra whitespace can be added and is ignored
/// This example sets the a, b, c and x variables and evaluates the general
/// quadratic equation (ax^2 + bx + c) => 2*4*4 -3*4 + 1 => 21
const program = """
  1 :c
  -3 :b
  2 :a
  
  4 :x
  
  x x *() a *() b x *() +() c +()
  
""";

void main() {
  final interpreter = Interpreter();
  final result = interpreter.eval(program);
  print(result);
}
